GET/crew/types/{typeId}
Gets one crew type with its ordered sections and the attributes placed in each, with their required, crew-visible and crew-editable flags. typeId
comes from Crew_GetCrewTypes. Requires EventAdmin.
Path Parameters
| Field | Type | Required | Description |
|---|
| typeId | uuid | Required | |
Response
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| icon | string| null | |
| color | string| null | |
| isArchived | boolean | |
| index | integer | |
| sections | GetCrewTypeResponseSectionInfo[]| null | |
GetCrewTypeResponseSectionInfo
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| index | integer | |
| attributes | GetCrewTypeResponseAttributeAssignmentInfo[]| null | |
GetCrewTypeResponseAttributeAssignmentInfo
| Field | Type | Description |
|---|
| crewAttributeId | uuid | |
| name | string| null | |
| type | string| null | |
| options | GetCrewTypeResponseOptionInfo[]| null | |
| isRequired | boolean | |
| isCrewVisible | boolean | |
| isCrewEditable | boolean | |
| index | integer | |
GetCrewTypeResponseOptionInfo
| Field | Type | Description |
|---|
| id | uuid | |
| label | string| null | |
| type | string| null | |
| value | string| null | |